Bug #25167

Upgrade 4.5.0 > 4.5.1 - Backend Error - PHP Fatal error: Class 't3lib_extjs_ExtDirectApi' not found

Added by Georg K├╝hnberger over 8 years ago. Updated about 8 years ago.

Status:
Closed
Priority:
Should have
Assignee:
-
Category:
-
Target version:
-
Start date:
2011-02-24
Due date:
% Done:

0%

TYPO3 Version:
4.4
PHP Version:
Tags:
Complexity:
Is Regression:
Sprint Focus:

Description

On upgrading a symlinked instance from 4.5.0 to 4.5.1,
the backend login failed in that after logging in with correct credentials,
the backend returned a blank page
and apache threw the below error:

> /var/log/apache2/mydomain.error.log <
[Thu Feb 24 15:35:54 2011] [error] [client ] PHP Fatal error: Class 't3lib_extjs_ExtDirectApi' not found in /var/lib/typo3/typo3_src-4.5.1/t3lib/class.t3lib_div.php on line 5277, referer: http://mydomain/typo3/index.php

Server Info:
PHP Version 5.2.6-1+lenny9
Web Server Apache/2.2.9 (Debian) PHP/5.2.6-1+lenny9 with Suhosin-Patch mod_ruby/1.2.6 Ruby/1.8.7(2008-08-11) mod_ssl/2.2.9 OpenSSL/0.9.8g Phusion_Passenger/2.2.11 mod_perl/2.0.4 Perl/v5.10.0

Using Zend Engine v2.2.0, Copyright (c) 1998-2008 Zend Technologies
with XCache v1.2.2, Copyright (c) 2005-2007, by mOo

The issue is related to #25151

The problem was not any Browser / Client-Side Cache (issue observed and tested with multiple Browsers from different machines and IPs).

The solution was to restart Apache,
which apparently cleared the opcode-cache (XCACHE in our case).

I recommend to add a notion about restarting the webserver in case an op-code-caches is used.

(issue imported from #M17753)


Related issues

Related to TYPO3 Core - Bug #25151: upgrading to 4.5.1 breaks backend for some installs Closed 2011-02-24

History

#1 Updated by Ernesto Baschny over 8 years ago

So this is not really an TYPO3 issue but a opcache / webserver issue? We can make a note in the release notes about it (should be done on any "upgrade").

#2 Updated by Tolleiv Nietsch about 8 years ago

  • Status changed from Needs Feedback to Closed
  • Target version deleted (0)
  • TYPO3 Version set to 4.4

There's nothing left which can be done - I close this issue for the sake of a clean bugtracker.

Also available in: Atom PDF